RedHat: RHSA-2021-1789:01 Moderate: gssdp and gupnp security update...
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Moderate: gssdp and gupnp security update
Advisory ID:       RHSA-2021:1789-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://access.redhat.com/errata/RHSA-2021:1789
Issue date:        2021-05-18
CVE Names:         CVE-2020-12695 
=====================================================================

1. Summary:

An update for gssdp and gupnp is now available for Red Hat Enterprise Linux
8.

Red Hat Product Security has rated this update as having a security impact
of Moderate. A Common Vulnerability Scoring System (CVSS) base score, which
gives a detailed severity rating, is available for each vulnerability from
the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat CodeReady Linux Builder (v. 8) - aarch64, noarch, ppc64le, s390x, x86_64
Red Hat Enterprise Linux AppStream (v. 8) - aarch64, ppc64le, s390x, x86_64

3. Description:

GUPnP is an object-oriented open source framework for creating UPnP devices
and control points, written in C using GObject and libsoup. The GUPnP API
is intended to be easy to use, efficient and flexible.

GSSDP implements resource discovery and announcement over SSDP and is part
of gUPnP. 

The following packages have been upgraded to a later upstream version:
gssdp (1.0.5), gupnp (1.0.6). (BZ#1846589, BZ#1861928)

Security Fix(es):

* hostapd: UPnP SUBSCRIBE misbehavior in WPS AP (CVE-2020-12695)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
page(s) listed in the References section.

Additional Changes:

For detailed information on changes in this release, see the Red Hat
Enterprise Linux 8.4 Release Notes linked from the References section.

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

5. Bugs fixed (https://bugzilla.redhat.com/):

1846006 - CVE-2020-12695 hostapd: UPnP SUBSCRIBE misbehavior in WPS AP

6. Package List:

Red Hat Enterprise Linux AppStream (v. 8):

Source:
gssdp-1.0.5-1.el8.src.rpm
gupnp-1.0.6-1.el8.src.rpm

aarch64:
gssdp-1.0.5-1.el8.aarch64.rpm
gssdp-debuginfo-1.0.5-1.el8.aarch64.rpm
gssdp-debugsource-1.0.5-1.el8.aarch64.rpm
gssdp-utils-debuginfo-1.0.5-1.el8.aarch64.rpm
gupnp-1.0.6-1.el8.aarch64.rpm
gupnp-debuginfo-1.0.6-1.el8.aarch64.rpm
gupnp-debugsource-1.0.6-1.el8.aarch64.rpm

ppc64le:
gssdp-1.0.5-1.el8.ppc64le.rpm
gssdp-debuginfo-1.0.5-1.el8.ppc64le.rpm
gssdp-debugsource-1.0.5-1.el8.ppc64le.rpm
gssdp-utils-debuginfo-1.0.5-1.el8.ppc64le.rpm
gupnp-1.0.6-1.el8.ppc64le.rpm
gupnp-debuginfo-1.0.6-1.el8.ppc64le.rpm
gupnp-debugsource-1.0.6-1.el8.ppc64le.rpm

s390x:
gssdp-1.0.5-1.el8.s390x.rpm
gssdp-debuginfo-1.0.5-1.el8.s390x.rpm
gssdp-debugsource-1.0.5-1.el8.s390x.rpm
gssdp-utils-debuginfo-1.0.5-1.el8.s390x.rpm
gupnp-1.0.6-1.el8.s390x.rpm
gupnp-debuginfo-1.0.6-1.el8.s390x.rpm
gupnp-debugsource-1.0.6-1.el8.s390x.rpm

x86_64:
gssdp-1.0.5-1.el8.i686.rpm
gssdp-1.0.5-1.el8.x86_64.rpm
gssdp-debuginfo-1.0.5-1.el8.i686.rpm
gssdp-debuginfo-1.0.5-1.el8.x86_64.rpm
gssdp-debugsource-1.0.5-1.el8.i686.rpm
gssdp-debugsource-1.0.5-1.el8.x86_64.rpm
gssdp-utils-debuginfo-1.0.5-1.el8.i686.rpm
gssdp-utils-debuginfo-1.0.5-1.el8.x86_64.rpm
gupnp-1.0.6-1.el8.i686.rpm
gupnp-1.0.6-1.el8.x86_64.rpm
gupnp-debuginfo-1.0.6-1.el8.i686.rpm
gupnp-debuginfo-1.0.6-1.el8.x86_64.rpm
gupnp-debugsource-1.0.6-1.el8.i686.rpm
gupnp-debugsource-1.0.6-1.el8.x86_64.rpm

Red Hat CodeReady Linux Builder (v. 8):

aarch64:
gssdp-debuginfo-1.0.5-1.el8.aarch64.rpm
gssdp-debugsource-1.0.5-1.el8.aarch64.rpm
gssdp-devel-1.0.5-1.el8.aarch64.rpm
gssdp-utils-debuginfo-1.0.5-1.el8.aarch64.rpm
gupnp-debuginfo-1.0.6-1.el8.aarch64.rpm
gupnp-debugsource-1.0.6-1.el8.aarch64.rpm
gupnp-devel-1.0.6-1.el8.aarch64.rpm

noarch:
gssdp-docs-1.0.5-1.el8.noarch.rpm

ppc64le:
gssdp-debuginfo-1.0.5-1.el8.ppc64le.rpm
gssdp-debugsource-1.0.5-1.el8.ppc64le.rpm
gssdp-devel-1.0.5-1.el8.ppc64le.rpm
gssdp-utils-debuginfo-1.0.5-1.el8.ppc64le.rpm
gupnp-debuginfo-1.0.6-1.el8.ppc64le.rpm
gupnp-debugsource-1.0.6-1.el8.ppc64le.rpm
gupnp-devel-1.0.6-1.el8.ppc64le.rpm

s390x:
gssdp-debuginfo-1.0.5-1.el8.s390x.rpm
gssdp-debugsource-1.0.5-1.el8.s390x.rpm
gssdp-devel-1.0.5-1.el8.s390x.rpm
gssdp-utils-debuginfo-1.0.5-1.el8.s390x.rpm
gupnp-debuginfo-1.0.6-1.el8.s390x.rpm
gupnp-debugsource-1.0.6-1.el8.s390x.rpm
gupnp-devel-1.0.6-1.el8.s390x.rpm

x86_64:
gssdp-debuginfo-1.0.5-1.el8.i686.rpm
gssdp-debuginfo-1.0.5-1.el8.x86_64.rpm
gssdp-debugsource-1.0.5-1.el8.i686.rpm
gssdp-debugsource-1.0.5-1.el8.x86_64.rpm
gssdp-devel-1.0.5-1.el8.i686.rpm
gssdp-devel-1.0.5-1.el8.x86_64.rpm
gssdp-utils-debuginfo-1.0.5-1.el8.i686.rpm
gssdp-utils-debuginfo-1.0.5-1.el8.x86_64.rpm
gupnp-debuginfo-1.0.6-1.el8.i686.rpm
gupnp-debuginfo-1.0.6-1.el8.x86_64.rpm
gupnp-debugsource-1.0.6-1.el8.i686.rpm
gupnp-debugsource-1.0.6-1.el8.x86_64.rpm
gupnp-devel-1.0.6-1.el8.i686.rpm
gupnp-devel-1.0.6-1.el8.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2020-12695
https://access.redhat.com/security/updates/classification/#moderate
https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/html/8.4_release_notes/

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2021 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIVAwUBYKPxUtzjgjWX9erEAQhZhw//Ypgq/0qu2SS/hw8alPmqQ6CG5C/xOqF6
uJL5HVQ+KPu8Go+UifB3xP3Izm9GYh9aNpcR3bPTx3NsfJdQyzPNSo8O2bC3mUBl
Lw6Bh++uhaNx3ADaKfceEG5teXbkwAadSft0W7j9jiY70qjVWfvqKjzBS3UyOL/P
++SdPU96uOX9nAkeT3wqirWjXDjUMJLao6AvRtXOXJ2MNwJp436S/KemSkMq2Mg7
izSYf7Biojg5SMNM4rsFBSnIqmehomfsVFetttHImCfTYteTfddti42gMelZyG8k
MK4CJw1DeR1e30teWaHnoVa9xAPJMKx56RG3/Wr+6Y5nK0rFZoZuMiJn2b7KodcH
fYbfxkwrQQ/R9bYZn03YgCz4zl/hetsoITKFHcsPNB9qtdRdtQhYzeOG+AyiawWh
YtF3vlomMlaxuOZV9zTJUIWZX/ev6wWx8VsXuHKMBwtBxO7l3M0Hd+BOxRPVE/mu
m+DBcBQp7fvaw55tCAQtHS3CKvgGYijDvOFHBOkQw5Zh9ttdfLlKo4H4NU0W4dLN
HJWuKGelB2vGc0eoqZ7yCi2xuWBYxjDIoYGzlwPJSnrrguqeLfOKVykja8AYpIET
V/XCUk/geIiEbSRwAR8EPXDpTLLicGrR6pbekpMfALm/GGc5I4RyA9AbVNJ9fF+a
7bb2GlcOcWo=
=2GSN
-----END PGP SIGNATURE-----

--
RHSA-announce mailing list
[email protected]
https://listman.redhat.com/mailman/listinfo/rhsa-announce

RedHat: RHSA-2021-1789:01 Moderate: gssdp and gupnp security update

An update for gssdp and gupnp is now available for Red Hat Enterprise Linux 8

Summary

GUPnP is an object-oriented open source framework for creating UPnP devices and control points, written in C using GObject and libsoup. The GUPnP API is intended to be easy to use, efficient and flexible.
GSSDP implements resource discovery and announcement over SSDP and is part of gUPnP.
The following packages have been upgraded to a later upstream version: gssdp (1.0.5), gupnp (1.0.6). (BZ#1846589, BZ#1861928)
Security Fix(es):
* hostapd: UPnP SUBSCRIBE misbehavior in WPS AP (CVE-2020-12695)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.
Additional Changes:
For detailed information on changes in this release, see the Red Hat Enterprise Linux 8.4 Release Notes linked from the References section.

Solution

For details on how to apply this update, which includes the changesdescribed in this advisory, refer to:https://access.redhat.com/articles/11258

References

https://access.redhat.com/security/cve/CVE-2020-12695 https://access.redhat.com/security/updates/classification/#moderate https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/html/8.4_release_notes/

Package List

Red Hat Enterprise Linux AppStream (v. 8):
Source: gssdp-1.0.5-1.el8.src.rpm gupnp-1.0.6-1.el8.src.rpm
aarch64: gssdp-1.0.5-1.el8.aarch64.rpm gssdp-debuginfo-1.0.5-1.el8.aarch64.rpm gssdp-debugsource-1.0.5-1.el8.aarch64.rpm gssdp-utils-debuginfo-1.0.5-1.el8.aarch64.rpm gupnp-1.0.6-1.el8.aarch64.rpm gupnp-debuginfo-1.0.6-1.el8.aarch64.rpm gupnp-debugsource-1.0.6-1.el8.aarch64.rpm
ppc64le: gssdp-1.0.5-1.el8.ppc64le.rpm gssdp-debuginfo-1.0.5-1.el8.ppc64le.rpm gssdp-debugsource-1.0.5-1.el8.ppc64le.rpm gssdp-utils-debuginfo-1.0.5-1.el8.ppc64le.rpm gupnp-1.0.6-1.el8.ppc64le.rpm gupnp-debuginfo-1.0.6-1.el8.ppc64le.rpm gupnp-debugsource-1.0.6-1.el8.ppc64le.rpm
s390x: gssdp-1.0.5-1.el8.s390x.rpm gssdp-debuginfo-1.0.5-1.el8.s390x.rpm gssdp-debugsource-1.0.5-1.el8.s390x.rpm gssdp-utils-debuginfo-1.0.5-1.el8.s390x.rpm gupnp-1.0.6-1.el8.s390x.rpm gupnp-debuginfo-1.0.6-1.el8.s390x.rpm gupnp-debugsource-1.0.6-1.el8.s390x.rpm
x86_64: gssdp-1.0.5-1.el8.i686.rpm gssdp-1.0.5-1.el8.x86_64.rpm gssdp-debuginfo-1.0.5-1.el8.i686.rpm gssdp-debuginfo-1.0.5-1.el8.x86_64.rpm gssdp-debugsource-1.0.5-1.el8.i686.rpm gssdp-debugsource-1.0.5-1.el8.x86_64.rpm gssdp-utils-debuginfo-1.0.5-1.el8.i686.rpm gssdp-utils-debuginfo-1.0.5-1.el8.x86_64.rpm gupnp-1.0.6-1.el8.i686.rpm gupnp-1.0.6-1.el8.x86_64.rpm gupnp-debuginfo-1.0.6-1.el8.i686.rpm gupnp-debuginfo-1.0.6-1.el8.x86_64.rpm gupnp-debugsource-1.0.6-1.el8.i686.rpm gupnp-debugsource-1.0.6-1.el8.x86_64.rpm
Red Hat CodeReady Linux Builder (v. 8):
aarch64: gssdp-debuginfo-1.0.5-1.el8.aarch64.rpm gssdp-debugsource-1.0.5-1.el8.aarch64.rpm gssdp-devel-1.0.5-1.el8.aarch64.rpm gssdp-utils-debuginfo-1.0.5-1.el8.aarch64.rpm gupnp-debuginfo-1.0.6-1.el8.aarch64.rpm gupnp-debugsource-1.0.6-1.el8.aarch64.rpm gupnp-devel-1.0.6-1.el8.aarch64.rpm
noarch: gssdp-docs-1.0.5-1.el8.noarch.rpm
ppc64le: gssdp-debuginfo-1.0.5-1.el8.ppc64le.rpm gssdp-debugsource-1.0.5-1.el8.ppc64le.rpm gssdp-devel-1.0.5-1.el8.ppc64le.rpm gssdp-utils-debuginfo-1.0.5-1.el8.ppc64le.rpm gupnp-debuginfo-1.0.6-1.el8.ppc64le.rpm gupnp-debugsource-1.0.6-1.el8.ppc64le.rpm gupnp-devel-1.0.6-1.el8.ppc64le.rpm
s390x: gssdp-debuginfo-1.0.5-1.el8.s390x.rpm gssdp-debugsource-1.0.5-1.el8.s390x.rpm gssdp-devel-1.0.5-1.el8.s390x.rpm gssdp-utils-debuginfo-1.0.5-1.el8.s390x.rpm gupnp-debuginfo-1.0.6-1.el8.s390x.rpm gupnp-debugsource-1.0.6-1.el8.s390x.rpm gupnp-devel-1.0.6-1.el8.s390x.rpm
x86_64: gssdp-debuginfo-1.0.5-1.el8.i686.rpm gssdp-debuginfo-1.0.5-1.el8.x86_64.rpm gssdp-debugsource-1.0.5-1.el8.i686.rpm gssdp-debugsource-1.0.5-1.el8.x86_64.rpm gssdp-devel-1.0.5-1.el8.i686.rpm gssdp-devel-1.0.5-1.el8.x86_64.rpm gssdp-utils-debuginfo-1.0.5-1.el8.i686.rpm gssdp-utils-debuginfo-1.0.5-1.el8.x86_64.rpm gupnp-debuginfo-1.0.6-1.el8.i686.rpm gupnp-debuginfo-1.0.6-1.el8.x86_64.rpm gupnp-debugsource-1.0.6-1.el8.i686.rpm gupnp-debugsource-1.0.6-1.el8.x86_64.rpm gupnp-devel-1.0.6-1.el8.i686.rpm gupnp-devel-1.0.6-1.el8.x86_64.rpm
These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from https://access.redhat.com/security/team/key/

Severity
Advisory ID: RHSA-2021:1789-01
Product: Red Hat Enterprise Linux
Advisory URL: https://access.redhat.com/errata/RHSA-2021:1789
Issued Date: : 2021-05-18
CVE Names: CVE-2020-12695

Topic

An update for gssdp and gupnp is now available for Red Hat Enterprise Linux8.Red Hat Product Security has rated this update as having a security impactof Moderate. A Common Vulnerability Scoring System (CVSS) base score, whichgives a detailed severity rating, is available for each vulnerability fromthe CVE link(s) in the References section.

Relevant Releases Architectures

Red Hat CodeReady Linux Builder (v. 8) - aarch64, noarch, ppc64le, s390x, x86_64

Red Hat Enterprise Linux AppStream (v. 8) - aarch64, ppc64le, s390x, x86_64

Bugs Fixed

1846006 - CVE-2020-12695 hostapd: UPnP SUBSCRIBE misbehavior in WPS AP

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.